libzypp: zyppng::JobReportHelper Class Reference

libzypp 17.38.11

zyppng::JobReportHelper Class Reference

`#include <zypp/ng/reporthelper.h>`

Inheritance diagram for zyppng::JobReportHelper:

## Public Member Functions
| JobReportHelper (ContextRef r)
| JobReportHelper (const JobReportHelper &)=default
| JobReportHelper (JobReportHelper &&)=default
JobReportHelper & | operator= (const JobReportHelper &)=default
JobReportHelper & | operator= (JobReportHelper &&)=default
bool | debug (std::string msg_r, UserData userData_r=UserData())
| send debug message text
bool | info (std::string msg_r, UserData userData_r=UserData())
| send message text
bool | warning (std::string msg_r, UserData userData_r=UserData())
| send warning text
bool | error (std::string msg_r, UserData userData_r=UserData())
| send error text
bool | important (std::string msg_r, UserData userData_r=UserData())
| send important message text
bool | data (std::string msg_r, UserData userData_r=UserData())
| send data message
Public Member Functions inherited from zyppng::BasicReportHelper
| BasicReportHelper (const BasicReportHelper &)=default
| BasicReportHelper (BasicReportHelper &&)=default
BasicReportHelper & | operator= (const BasicReportHelper &)=default
BasicReportHelper & | operator= (BasicReportHelper &&)=default
const ContextRef & | zyppContext ()

## Static Public Member Functions
static constexpr bool | async ()
Static Public Member Functions inherited from zyppng::BasicReportHelper
static constexpr bool | async ()

## Additional Inherited Members
Protected Member Functions inherited from zyppng::BasicReportHelper
| BasicReportHelper (ContextRef &&ctx)
Protected Attributes inherited from zyppng::BasicReportHelper
ContextRef | _ctx

## Detailed Description

Definition at line 131 of file reporthelper.h.

## Constructor & Destructor Documentation

## ◆ JobReportHelper() [1/3]

zyppng::JobReportHelper::JobReportHelper | ( | ContextRef | r | ) |
| inline

Definition at line 135 of file reporthelper.h.

## ◆ JobReportHelper() [2/3]

zyppng::JobReportHelper::JobReportHelper | ( | const JobReportHelper & |  | ) |
| default

## ◆ JobReportHelper() [3/3]

zyppng::JobReportHelper::JobReportHelper | ( | JobReportHelper && |  | ) |
| default

## Member Function Documentation

## ◆ operator=() [1/2]

JobReportHelper & zyppng::JobReportHelper::operator= | ( | const JobReportHelper & |  | ) |
| default

## ◆ operator=() [2/2]

JobReportHelper & zyppng::JobReportHelper::operator= | ( | JobReportHelper && |  | ) |
| default

## ◆ debug()

bool zyppng::JobReportHelper::debug | ( | std::string | msg_r,
|  | UserData | userData_r = UserData() )

send debug message text

Definition at line 183 of file reporthelper.cc.

## ◆ info()

bool zyppng::JobReportHelper::info | ( | std::string | msg_r,
|  | UserData | userData_r = UserData() )

send message text

Definition at line 194 of file reporthelper.cc.

## ◆ warning()

bool zyppng::JobReportHelper::warning | ( | std::string | msg_r,
|  | UserData | userData_r = UserData() )

send warning text

Definition at line 205 of file reporthelper.cc.

## ◆ error()

bool zyppng::JobReportHelper::error | ( | std::string | msg_r,
|  | UserData | userData_r = UserData() )

send error text

Definition at line 216 of file reporthelper.cc.

## ◆ important()

bool zyppng::JobReportHelper::important | ( | std::string | msg_r,
|  | UserData | userData_r = UserData() )

send important message text

Definition at line 227 of file reporthelper.cc.

## ◆ data()

bool zyppng::JobReportHelper::data | ( | std::string | msg_r,
|  | UserData | userData_r = UserData() )

send data message

Definition at line 238 of file reporthelper.cc.

## ◆ async()

constexpr bool zyppng::BasicReportHelper::async | ( |  | ) |
| inlinestaticconstexpr

Definition at line 69 of file reporthelper.h.

The documentation for this class was generated from the following files:

- zypp/ng/reporthelper.h
- zypp/ng/reporthelper.cc